import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
export declare class LoginForm {
    usernameLabel: string;
    passwordLabel: string;
    submitLabel: string;
    forgotPasswordLabel: string;
    forgotPasswordUrl: string;
    loginShouldOccur: EventEmitter;
    host: HTMLElement;
    login(): void;
    render(): JSX.Element;
}
